Skip to main content
Resource Center/Network Service/Network Service Operations/Security Group Operations
PUTSecurity Group OperationsSince 4.7.21SynchronousAuth Required

SetVmNicSecurityGroup

SetVmNicSecurityGroup

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • vmNicUuidStringRequired

    The VM NIC UUID.

Body Fields

  • setvmnicsecuritygroupObjectRequired

    setvmnicsecuritygroup request body object.

    • refsListRequired

      The security group attached to the NIC.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventorySecurityGroupInventoryRequired

    See inventory.

    • priorityIntegerRequired

      The priority of the security group.

    • vmNicUuidStringRequired

      The VM NIC UUID.

    • securityGroupUuidStringRequired

      The security group UUID.

    • vmInstanceUuidStringRequired

      The VM instance UUID.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

PUT/zstack/v1/security-groups/nics/{vmNicUuid}/actions

/zstack/v1/security-groups/nics/{vmNicUuid}/actions

Operation ID

SetVmNicSecurityGroup

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/security-groups/nics/{vmNicUuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"setvmnicsecuritygroup":{"refs":["<refs>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": [ { "uuid": "33aa195b943c3faa87e2c75a787cb7f5", "priority": 1, "securityGroupUuid": "63ec5dcb248138968f0153160b5b8b3a" } ] }

Change History

This API has no change history records yet.

View all change history